Cant upgrade initscripts in ovz guest

Discussion in 'Installation/Configuration' started by theWeird, Jun 23, 2013.

  1. theWeird

    theWeird Member

    Hey there,

    I just noticed that one of my server instances still ran an older LTS release.
    So I did an upgrade to ubuntu 12.04 lts on that OpenVZ container.

    Now I cannot install or upgrade any other packages because apt always tries to fix a corrupted installation of initscripts.

    Apt always quits with the error:
    Setting up initscripts (2.88dsf-13.10ubuntu11) ...
    mkdir: cannot create directory `/dev/shm': File exists
    dpkg: error processing initscripts (--configure):
     subprocess installed post-installation script returned error exit status 1
    Do you have any idea how to fix this?

Share This Page